scala.collection
trait MapProxy

[source: `scala/collection/MapProxy.scala`]

`` `trait` MapProxy[A, +B]
  `extends` Map[A, B]`with` IterableProxy[(A, B)]

  This is a simple wrapper class for `scala.collection.Map`. It is most useful for assembling customized map abstractions dynamically using object composition and forwarding.

Author
  Matthias Zenger
Version
  1.0, 21/07/2003

Direct Known Subclasses:
  MapProxy

Method Summary
`override def` | apply (key : A) : B Retrieve the value which is associated with the given key. This method throws an exception if there is no mapping from the given key to a value.
`override def` | contains (key : A) : Boolean Is the given key mapped to a value by this map?
`override def` | default (key : A) : B The default value for the map, returned when a key is not found The method implemented here yields an error, but it might be overridden in subclasses.
`override def` | get (key : A) : Option[B] Check if this map maps `key` to a value and return the value if it exists.
`override def` | isDefinedAt (key : A) : Boolean Does this map contain a mapping from the given key to a value?
`override def` | isEmpty : Boolean Is this an empty map?
`override def` | keySet : Set[A]
`override def` | keys : Iterator[A] Creates an iterator for all keys.
`abstract def` | self : Map[A, B]
`override def` | size : Int Compute the number of key-to-value mappings.
`override def` | values : Iterator[B] Creates an iterator for a contained values.

Methods inherited from IterableProxy
elements, concat, map, flatMap, filter, takeWhile, dropWhile, take, drop, foreach, forall, exists, find, findIndexOf, indexOf, foldLeft, foldRight, /:, :\, reduceLeft, reduceRight, sameElements, copyToBuffer, toList, mkString, addString

Methods inherited from Proxy
hashCode, equals, toString

Methods inherited from Map
getOrElse, projection, filterKeys, mapElements

Methods inherited from Collection
toArray, stringPrefix

Methods inherited from Iterable
++, toStream, mkString, mkString, addString, copyToArray, hasDefiniteSize

Methods inherited from PartialFunction
orElse, andThen

Methods inherited from Function1
compose

Methods inherited from AnyRef
getClass, clone, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Method Details

`abstract` `def` self : Map[A, B]

Overrides
  IterableProxy.self

`override` `def` size : Int

  Compute the number of key-to-value mappings.

Returns
  the number of mappings

Overrides
  Map.size

`override` `def` get(key : A) : Option[B]

  Check if this map maps `key` to a value and return the value if it exists.

Parameters
  `key -` the key of the mapping of interest
Returns
  the value of the mapping, if it exists

Overrides
  Map.get

`override` `def` isEmpty : Boolean

  Is this an empty map?

Returns
  `true` iff the map is empty.

Overrides
  Map.isEmpty

`override` `def` apply(key : A) : B

  Retrieve the value which is associated with the given key. This method throws an exception if there is no mapping from the given key to a value.

Parameters
  `key -` the key
Returns
  the value associated with the given key.

Overrides
  Map.apply

`override` `def` contains(key : A) : Boolean

  Is the given key mapped to a value by this map?

Parameters
  `key -` the key
Returns
  `true` iff there is a mapping for key in this map

Overrides
  Map.contains

`override` `def` isDefinedAt(key : A) : Boolean

  Does this map contain a mapping from the given key to a value?

Parameters
  `key -` the key
Returns
  `true` iff there is a mapping for key in this map

Overrides
  Map.isDefinedAt

`override` `def` keys : Iterator[A]

  Creates an iterator for all keys.

Returns
  an iterator over all keys.

Overrides
  Map.keys

`override` `def` keySet : Set[A]

Returns
  the keys of this map as a set.

Overrides
  Map.keySet

`override` `def` values : Iterator[B]

  Creates an iterator for a contained values.

Returns
  an iterator over all values.

Overrides
  Map.values

`override` `def` default(key : A) : B

  The default value for the map, returned when a key is not found The method implemented here yields an error, but it might be overridden in subclasses.

Parameters
  `key -` the given key value
Throws
  Predef.NoSuchElementException -

Overrides
  Map.default